export declare class DirectedGraph<V, L = unknown> {
    private cyclical;
    private vertices;
    private edges;
    constructor(options?: {
        cyclical?: boolean;
    });
    addEdge(to: V, from: V): this;
    deleteEdge(to: V, from: V): void;
    addVertex(vertex: V, label?: L): V;
}
